.btn {
    border: none;
    outline: none;
    cursor: pointer;
    min-height: rem(50);
    font-weight: 600;
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(8) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    border-radius: rem(40);
    text-decoration: none;
    display: inline-flex;
    column-gap: rem(8);
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    font-family: var(--font-secondary);
    transition: var(--transition-time);

    &:hover {
        text-decoration: none;
        transition: var(--transition-time);
    }

    &:active {
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(24);
    }

    &:disabled {
        cursor: default;
        opacity: .7;
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        padding: rem(8) rem(32);
    }
}

.btn-outline {
    fill: white;
    color: white;
    border: 1px solid white;
    background-color: transparent;

    &:hover {
        fill: var(--orange);
        color: var(--orange);
        border-color: var(--orange);
    }

    &:active {
        fill: white;
        color: white;
        border-color: white;
    }

    &.active {
        fill: white;
        color: white;
        border-color: var(--orange);
        background-color: var(--orange);
    }
}

.btn-xs {
    font-size: rem(12);
    line-height: rem(14);
    min-height: rem(32);
    column-gap: rem(10);
    padding: rem(4) rem(16);

    i {
        height: rem(16);
    }
}

.btn-sm {
    min-height: rem(40);
    padding: rem(8) rem(32);

    @include media-breakpoint-up(md) {
        min-height: rem(50);
        padding: rem(8) rem(36);
    }
}

.btn-small {
    min-height: rem(40);
    padding: rem(8) rem(28);

    @include media-breakpoint-up(md) {
        font-size: rem(14);
        padding: rem(8) rem(28);
    }
}

.btn-md {
    font-size: rem(16);
    line-height: rem(20);
    min-height: rem(56);
    padding: rem(8) rem(28);
}

.btn-lg {
    min-height: rem(74);
}

.btn-xl {
    font-size: rem(16);
    line-height: rem(20);
    min-height: rem(56);
    padding: rem(8) rem(28);

    @include media-breakpoint-up(md) {
        min-height: rem(74);
        padding: rem(8) rem(32);
    }
}

.btn-custom {
    min-height: rem(44);
    padding: rem(8) rem(20);

    @include media-breakpoint-up(md) {
        min-height: rem(50);
        font-size: rem(16);
        padding: rem(8) rem(24);
    }
}

.btn-white {
    color: var(--dark);
    background: white;

    &:hover {
        color: white;
        background: var(--orange-hover);
    }

    &:active {
        color: var(--dark);
        background: white;
    }
}

.btn-orange {
    fill: white;
    color: white;
    background: var(--orange);

    &:hover {
        fill: white;
        color: white;
        background: var(--orange-hover);
    }

    &:active {
        fill: white;
        color: white;
        background: var(--orange);
    }
}

.btn-gray {
    color: white;
    background: var(--gray-2);

    &:hover {
        color: white;
        background: #575757;
    }

    &:active {
        color: white;
        background: var(--gray-2);
    }
}

.btn-rounded {
    padding: rem(8);
    width: rem(56);
    height: rem(56);
    flex-shrink: 0;
}

.btn-nav {
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(42);
    height: rem(42);
    stroke: white;
    cursor: pointer;
    border-radius: 50%;
    background: var(--gray);
    transition: var(--transition-time);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;

    i {
        display: block;
        width: rem(20);
        height: rem(20);
        flex-shrink: 0;
    }

    &:hover {
        stroke: white;
        background: var(--orange);
        transition: var(--transition-time);
    }

    &.disabled,
    &:disabled {
        opacity: 0;
        visibility: hidden;
    }

    &--white {
        stroke: var(--dark);
        background-color: white;

        &:hover {
            stroke: white;
            background: var(--orange);
        }
    }
}

.btn-social {
    width: rem(40);
    height: rem(40);
    display: block;
    overflow: hidden;
    border-radius: 50%;
    fill: var(--orange);
    background-color: rgba(255, 255, 255, 0.13);
    flex-shrink: 0;
    transition: var(--transition-time);

    &:hover {
        fill: white;
        background-color: var(--orange);
        transition: var(--transition-time);
    }

    &:active {
        fill: var(--orange);
        background-color: rgba(255, 255, 255, 0.13);
    }

    &--custom {

        &:hover {
            fill: black;
        }
    }
}

.btn-link {
    padding: 0;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline;
    color: var(--orange);
    text-decoration: none;
    background: transparent;

    &:hover {
        color: var(--orange);
        text-decoration: underline;
    }
}

.btn-field {
    width: 100%;
    color: white;
    height: rem(42);
    cursor: pointer;
    font-size: rem(12);
    line-height: rem(18);
    border-radius: rem(4);
    stroke: rgba(255, 255, 255, 0.6);
    text-decoration: none;
    padding: rem(4) rem(12);
    background-color: #353535;
    border: 1px solid #353535;
    transition: var(--transition-time);
    display: flex;
    align-items: center;
    justify-content: space-between;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        flex-shrink: 0;
        display: inline-block;
        opacity: .6;
    }

    &:hover {
        color: white;
        text-decoration: none;
        border-color: rgba(255, 255, 255, 0.3);
        transition: var(--transition-time);
    }
}
